UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C_Lbmmon__DROMonMsg |
C_Lbmmon__DROMonMsg__Configs |
C_Lbmmon__DROMonMsg__Configs__Gateway |
C_Lbmmon__DROMonMsg__Configs__Portal |
C_Lbmmon__DROMonMsg__Stats |
C_Lbmmon__DROMonMsg__Stats__Local |
C_Lbmmon__DROMonMsg__Stats__Local__MallocInfo |
C_Lbmmon__DROMonMsg__Stats__OtherGateway |
C_Lbmmon__DROMonMsg__Stats__OtherGateway__OtherPortal |
C_Lbmmon__DROMonMsg__Stats__Portal |
C_Lbmmon__DROMonMsg__Stats__Portal__Endpoint |
C_Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive |
C_Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Send |
C_Lbmmon__DROMonMsg__Stats__Portal__Peer |
C_Lbmmon__DROMonMsg__Stats__Portal__Peer__Receive |
C_Lbmmon__DROMonMsg__Stats__Portal__Peer__Send |
C_Lbmmon__DROMonMsg__Stats__Portal__Peer__UDPReceive |
C_Lbmmon__DROMonMsg__Stats__Portal__Peer__UDPSend |
C_Lbmmon__SRSMonMsg |
C_Lbmmon__SRSMonMsg__Configs |
C_Lbmmon__SRSMonMsg__Configs__DaemonMonitorLBMAttribute |
C_Lbmmon__SRSMonMsg__Configs__Internal |
C_Lbmmon__SRSMonMsg__Events |
C_Lbmmon__SRSMonMsg__Events__ContextNameInfoRecord |
C_Lbmmon__SRSMonMsg__Events__ContextNameQueryRecord |
C_Lbmmon__SRSMonMsg__Events__ReceiverDeleteRecord |
C_Lbmmon__SRSMonMsg__Events__ReceiverInfo |
C_Lbmmon__SRSMonMsg__Events__ReceiverInfoRecord |
C_Lbmmon__SRSMonMsg__Events__RouteInfoRecord |
C_Lbmmon__SRSMonMsg__Events__SourceDeleteRecord |
C_Lbmmon__SRSMonMsg__Events__SourceInfo |
C_Lbmmon__SRSMonMsg__Events__SourceInfoRecord |
C_Lbmmon__SRSMonMsg__Events__SourceLeaveRecord |
C_Lbmmon__SRSMonMsg__Events__UMClientConnect |
C_Lbmmon__SRSMonMsg__Events__UMClientDisconnect |
C_Lbmmon__SRSMonMsg__Events__WildcardReceiverDeleteRecord |
C_Lbmmon__SRSMonMsg__Events__WildcardReceiverInfo |
C_Lbmmon__SRSMonMsg__Events__WildcardReceiverInfoRecord |
C_Lbmmon__SRSMonMsg__Stats |
C_Lbmmon__SRSMonMsg__Stats__SRS |
C_Lbmmon__SRSMonMsg__Stats__SRSError |
C_Lbmmon__SRSMonMsg__Stats__UMClient |
C_Lbmmon__SRSMonMsg__Stats__UMClientError |
C_Lbmmon__SRSMonMsg__UMClientInfo |
C_Lbmmon__UMMonAttributes |
C_Lbmmon__UMMonControlMsg |
C_Lbmmon__UMPMonMsg |
C_Lbmmon__UMPMonMsg__Configs |
C_Lbmmon__UMPMonMsg__Configs__PatternConfig |
C_Lbmmon__UMPMonMsg__Configs__TopicConfig |
C_Lbmmon__UMPMonMsg__Configs__TopicConfig__RepoConfig |
C_Lbmmon__UMPMonMsg__Configs__TopicConfig__RepoConfig__RcvConfig |
C_Lbmmon__UMPMonMsg__Events |
C_Lbmmon__UMPMonMsg__Events__Event |
C_Lbmmon__UMPMonMsg__Stats |
C_Lbmmon__UMPMonMsg__Stats__SmartHeapStat |
C_Lbmmon__UMPMonMsg__Stats__SrcRepoStat |
C_Lbmmon__UMPMonMsg__Stats__SrcRepoStat__RcvStat |
C_Lbmmon__UMPMonMsg__Stats__SrcRepoStat__SrcDiskStat |
C_Lbmmon__UMSMonMsg |
C_Lbmmon__UMSMonMsg__Events |
C_Lbmmon__UMSMonMsg__Events__ReceiverTopic |
C_Lbmmon__UMSMonMsg__Events__ReceiverTopic__Source |
C_Lbmmon__UMSMonMsg__Events__WildcardReceiver |
C_Lbmmon__UMSMonMsg__Stats |
C_Lbmmon__UMSMonMsg__Stats__Context |
C_Lbmmon__UMSMonMsg__Stats__EventQueue |
C_Lbmmon__UMSMonMsg__Stats__ReceiverTransport |
C_Lbmmon__UMSMonMsg__Stats__ReceiverTransport__LBTIPC |
C_Lbmmon__UMSMonMsg__Stats__ReceiverTransport__LBTRM |
C_Lbmmon__UMSMonMsg__Stats__ReceiverTransport__LBTRU |
C_Lbmmon__UMSMonMsg__Stats__ReceiverTransport__LBTSMX |
C_Lbmmon__UMSMonMsg__Stats__ReceiverTransport__TCP |
C_Lbmmon__UMSMonMsg__Stats__SourceTransport |
C_Lbmmon__UMSMonMsg__Stats__SourceTransport__LBTIPC |
C_Lbmmon__UMSMonMsg__Stats__SourceTransport__LBTRM |
C_Lbmmon__UMSMonMsg__Stats__SourceTransport__LBTRU |
C_Lbmmon__UMSMonMsg__Stats__SourceTransport__LBTSMX |
C_Lbmmon__UMSMonMsg__Stats__SourceTransport__TCP |
C lbm_apphdr_chain_elem_t_stct | Structure that represents an element in an app header chain
C lbm_async_operation_func_t | Structure that holds information for asynchronous operation callbacks
C lbm_async_operation_info_t | Results struct returned via the user-specified asynchronous operation callback from any asynchronous API
C lbm_config_option_stct_t | Config option structure holding the option name and value via string types
C lbm_context_event_func_t_stct | Structure that holds the application function to configure the callback for context-level events
C lbm_context_event_umq_registration_complete_ex_t_stct | Structure that holds information for contexts after registration is complete to all involved queue instances
C lbm_context_event_umq_registration_ex_t_stct | Structure that holds queue registration information for the UMQ context in an extended form
C lbm_context_rcv_immediate_msgs_func_t_stct | Structure that holds the application function to configure a callback for receiving certain immediate mode messages (UIM)
C lbm_context_src_event_func_t_stct | Structure that holds the application callback to configure context-level source events
C lbm_context_stats_t_stct | Structure that holds statistics for a context
C lbm_ctx_umq_queue_topic_list_info_t | Struct containing an array of queue topics retrieved via lbm_umq_queue_topic_list
C lbm_datagram_acceleration_func_t_stct | A structure used to hold functions to configure datagram acceleration implementation callbacks
C lbm_datagram_acceleration_recv_info_t_stct | Information returned from lbm_datagram_acceleration_recvfrom_function_t function
C lbm_delete_cb_info_t_stct | Structure passed to the lbm_hypertopic_rcv_delete() function so that a deletion callback may be called
C lbm_event_queue_cancel_cb_info_t_stct | Structure passed to cancel/delete functions so that a cancel callback may be called
C lbm_event_queue_stats_t_stct | Structure that holds statistics for an event queue
C lbm_flight_size_inflight_t_stct | Structure that holds information for source total inflight messages and bytes See lbm_flight_size_inflight_t_stct for field definitions
C lbm_hf_sequence_number_t_stct | Structure to hold a hot failover sequence number
C lbm_iovec_t_stct | Structure, struct iovec compatible, that holds information about buffers used for vectored sends
C lbm_ipv4_address_mask_t_stct | Structure that holds an IPv4 address and a CIDR style netmask
C lbm_mem_mgt_callbacks_t_stct | Structure that holds the application function to configure Smart Source memory management
C lbm_mim_unrecloss_func_t_stct | Structure that holds the application callback for multicast immediate message unrecoverable loss notification
C lbm_msg_channel_info_t_stct | Structure that represents UMS Spectrum channel information
C lbm_msg_fragment_info_t_stct | Structure that holds fragment information for UM messages when appropriate
C lbm_msg_gateway_info_t_stct | DEPRECATED, do not use
C lbm_msg_properties_iter_t_stct | A struct used for iterating over properties pointed to by an lbm_msg_properties_t. The iterator is used to access the fields of a property
C lbm_msg_t_stct | Information structure for receive events delivered to receiver callback lbm_rcv_cb_proc
C lbm_msg_ume_deregistration_ex_t_stct | Structure that holds Store deregistration information for the UM receiver after a successful deregistration
C lbm_msg_ume_registration_complete_ex_t_stct | Structure that holds information for receivers after registration is complete to all involved Stores
C lbm_msg_ume_registration_ex_t_stct | Structure that holds Store registration information for the UM persistent receiver after a successful registration
C lbm_msg_ume_registration_t_stct | DEPRECATED, NOT USED
C lbm_msg_umq_deregistration_complete_ex_t_stct | Structure that holds information for queuing receivers after they de-register from a queue
C lbm_msg_umq_index_assigned_ex_t_stct | Structure that holds beginning-of-index information for queuing receivers
C lbm_msg_umq_index_assignment_eligibility_start_complete_ex_t_stct | Structure that holds index assignment information for queuing receivers to indicate the start of index assignment
C lbm_msg_umq_index_assignment_eligibility_stop_complete_ex_t_stct | Structure that holds index assignment information for queuing receivers when an index stops
C lbm_msg_umq_index_released_ex_t_stct | Structure that holds end-of-index information for queuing receivers
C lbm_msg_umq_registration_complete_ex_t_stct | Structure that holds queue information for queuing receivers after registration is complete to all involved queue instances
C lbm_new_transport_info_t_stct | Structure that holds information about a transport session that we're about to join
C lbm_process_events_info_t_stct | Structure that holds information for the extended Process Events calls
C lbm_rcv_batch_notify_func_t_stct | UM internal use only. DO NOT USE
C lbm_rcv_src_notification_func_ex_t_stct | Structure (extended form) that holds the receiver application functions when configuring callbacks when sources are subscribed or unsubscribed
C lbm_rcv_src_notification_func_t_stct | Structure that holds the receiver application functions when configuring callbacks when sources are subscribed or unsubscribed
C lbm_rcv_topic_stats_t_stct | Structure that holds statistics for a receiver topic
C lbm_rcv_transport_stats_broker_t_stct | Structure that holds message statistics for receiver BROKER transports
C lbm_rcv_transport_stats_daemon_t_stct | DEPRECATED, do not use
C lbm_rcv_transport_stats_lbtipc_t_stct | Structure that holds datagram statistics for receiver LBT-IPC transports
C lbm_rcv_transport_stats_lbtrdma_t_stct | DEPRECATED, do not use. LBT-RDMA is no longer supported
C lbm_rcv_transport_stats_lbtrm_t_stct | Structure that holds datagram statistics for receiver LBT-RM transports
C lbm_rcv_transport_stats_lbtru_t_stct | Structure that holds datagram statistics for receiver LBT-RU transports
C lbm_rcv_transport_stats_lbtsmx_t_stct | Structure that holds datagram statistics for receiver LBT-SMX transports
C lbm_rcv_transport_stats_t_stct | Structure that holds statistics for receiver transports
C lbm_rcv_transport_stats_tcp_t_stct | Structure that holds datagram statistics for receiver TCP transports
C lbm_rcv_umq_queue_msg_list_info_t | Struct containing an array of UMQ messages listed via lbm_rcv_umq_queue_msg_list
C lbm_rcv_umq_queue_msg_retrieve_info_t | Struct containing an array of UMQ messages retrieved via lbm_rcv_umq_queue_msg_retrieve
C lbm_resolver_event_advertisement_t_stct | Advertisement event structure (for UM internal use only)
C lbm_resolver_event_func_t_stct | Resolver event function (for UM internal use only)
C lbm_resolver_event_info_t_stct | Resolver event structure (for UM internal use only)
C lbm_resolver_service_entry_t_stct | Structure that holds information to configure a Resolver Service
C lbm_serialized_response_t_stct | Structure that holds a serialized UM response object
C lbm_src_cost_func_t_stct | Structure that holds the source_cost_evaluation_function (context) context option
C lbm_src_create_ex_info_t | Provides information about a joined transport session when the lbm_rcv_src_notification_create_function_ex_cb callback is invoked. See the option source_notification_function_ex (receiver)
C lbm_src_delete_ex_info_t | Provides information about a transport session being exited when the lbm_rcv_src_notification_delete_function_ex_cb callback is invoked. See the option source_notification_function_ex (receiver)
C lbm_src_event_flight_size_notification_t_stct | Structure that holds flight size notification event data
C lbm_src_event_sequence_number_info_t_stct | Structure that holds sequence number information for a message sent by a source
C lbm_src_event_timestamp_info_t_stct | Structure that holds the High Resolution Timestamp and sequence number associated with the sent message
C lbm_src_event_ume_ack_ex_info_t_stct | Structure that holds ACK information for a given message in an extended form
C lbm_src_event_ume_ack_info_t_stct | Structure that holds ACK information for a given message
C lbm_src_event_ume_deregistration_ex_t_stct | Structure that holds Store deregistration information for the UMP source in an extended form
C lbm_src_event_ume_registration_complete_ex_t_stct | Structure that holds information for sources after registration is complete to all involved Stores
C lbm_src_event_ume_registration_ex_t_stct | Structure that holds Store registration information for the UMP source in an extended form
C lbm_src_event_ume_registration_t_stct | DEPRECATED, do not use
C lbm_src_event_umq_message_id_info_t_stct | Structure that holds Message ID information for a message sent by a sending UMQ application
C lbm_src_event_umq_registration_complete_ex_t_stct | Structure that holds information for sources after registration is complete to all involved queue instances
C lbm_src_event_umq_stability_ack_info_ex_t_stct | Structure that holds UMQ ACK information for a given message in an extended form
C lbm_src_event_umq_ulb_message_info_ex_t_stct | Structure that holds UMQ ULB message information in an extended form
C lbm_src_event_umq_ulb_receiver_info_ex_t_stct | Structure that holds UMQ ULB receiver information in an extended form
C lbm_src_event_wakeup_t_stct | Structure that holds source wakeup event data
C lbm_src_notify_func_t_stct | Structure that holds the context application function to configure the callback when new sources are discovered
C lbm_src_send_ex_info_t_stct | Structure that holds information for the extended send calls
C lbm_src_transport_stats_broker_t_stct | Structure that holds datagram statistics for source BROKER transports
C lbm_src_transport_stats_daemon_t_stct | DEPRECATED, do not use
C lbm_src_transport_stats_lbtipc_t_stct | Structure that holds datagram statistics for source LBT-IPC transports
C lbm_src_transport_stats_lbtrdma_t_stct | DEPRECATED, do not use. lbt-rdma is no longer supported
C lbm_src_transport_stats_lbtrm_t_stct | Structure that holds datagram statistics for source LBT-RM transports
C lbm_src_transport_stats_lbtru_t_stct | Structure that holds datagram statistics for source LBT-RU transports
C lbm_src_transport_stats_lbtsmx_t_stct | Structure that holds datagram statistics for source LBT-SMX transports
C lbm_src_transport_stats_t_stct | Structure that holds statistics for source transports
C lbm_src_transport_stats_tcp_t_stct | Structure that holds datagram statistics for source TCP transports
C lbm_srp_repo_msg_t_stct | Information about a message in the repository, retrieved by lbm_srp_get_repo_message()
C lbm_srp_repo_rcvr_t_stct | Receiver state information, retrieved by lbm_srp_get_repo_state() via lbm_srp_repo_t::rcvs
C lbm_srp_repo_t_stct | Overall information about a store, retrieved by lbm_srp_get_repo_state()
C lbm_ssrc_send_ex_info_t_stct | Structure that holds information for the extended smart source send calls
C lbm_str_hash_func_ex_t_stct | Structure that holds the extended hash function callback information
C lbm_str_hash_func_t_stct | Structure that holds the hash function callback information
C lbm_timespec_t_stct | Structure that holds seconds and nanoseconds since midnight, Jan 1, 1970 UTC
C lbm_timeval_t_stct | Structure that holds seconds and microseconds since midnight, Jan 1, 1970 UTC
C lbm_transport_broker_entry_t_stct | Structure that holds IP and Port to configure the broker
C lbm_transport_mapping_func_t_stct | Structure that holds the application function to configure the XSP transport mapping function callback
C lbm_transport_source_info_t_stct | Structure that holds parsed transport source strings
C lbm_ucast_resolver_entry_t_stct | Structure that holds information to configure a unicast resolver daemon
C lbm_ume_ctx_rcv_ctx_notification_func_t_stct | Structure that holds the application callback for receiving context status notifications for source context
C lbm_ume_rcv_recovery_info_ex_func_info_t_stct | Structure that holds information for UMP receiver recovery sequence number info application callbacks
C lbm_ume_rcv_recovery_info_ex_func_t_stct | Structure that holds the application function to configure the callback for recovery sequence number information, extended form
C lbm_ume_rcv_regid_ex_func_info_t_stct | Structure that holds information for UMP receiver registration ID application callbacks
C lbm_ume_rcv_regid_ex_func_t_stct | Structure that holds the application function to configure the callback for registration ID setting, extended form
C lbm_ume_rcv_regid_func_t_stct | Structure that holds the application function to configure the callback for registration ID setting
C lbm_ume_src_force_reclaim_func_t_stct | Structure that holds the application function to configure the forced reclamation notification callback
C lbm_ume_store_entry_t_stct | Structure that holds information to configure a persistent Store
C lbm_ume_store_group_entry_t_stct | Structure that holds information to configure a Persistent Store group
C lbm_ume_store_name_entry_t_stct | Structure that holds information to configure a persistent Store
C lbm_umm_info_t_stct | Structure for specifying UMM daemon connection options
C lbm_umq_index_info_t_stct | Structure that holds information used for sending and receiving messages with UMQ indices
C lbm_umq_msg_total_lifetime_info_t_stct | Structure that holds UMQ message total lifetime information
C lbm_umq_msgid_t_stct | Structure that holds information for UMQ messages that allows the message to be identified uniquely
C lbm_umq_queue_application_set_t_stct | Structure for defining a UMQ application set
C lbm_umq_queue_entry_t_stct | Structure that holds queue registration information to configure a queuing broker
C lbm_umq_queue_msg_status_t | Struct containing extended asynchronous operation status information about a single UMQ message
C lbm_umq_queue_topic_status_t | Struct containing extended asynchronous operation status information about a single UMQ topic
C lbm_umq_queue_topic_t_stct | Structure that holds queue topic information and can be used as a handle to a queue topic
C lbm_umq_ulb_application_set_attr_t_stct | Structure that holds information to configure any of several ULB source's application set attributes. The attribute being set is determined by the configuration option
C lbm_umq_ulb_receiver_type_attr_t_stct | Structure that holds information to configure any of several ULB source's receiver type attributes. The attribute being set is determined by the configuration option
C lbm_umq_ulb_receiver_type_entry_t_stct | Structure that holds ULB queue information to configure an application set
C lbm_wildcard_rcv_compare_func_t_stct | Structure that holds the application callback function to configure "appcb" type wildcard pattern type
C lbm_wildcard_rcv_create_func_t_stct | Structure that holds the receiver creation function to configure the wildcard receiver create callback
C lbm_wildcard_rcv_delete_func_t_stct | Structure that holds the receiver deletion function information to configure the wildcard receiver delete callback
C lbm_wildcard_rcv_stats_t_stct | Structure that holds statistics for a wildcard receiver
C lbm_xsp_zero_transports_func_t_stct | Structure that holds the XSP zero transports function
C lbmmon_attr_block_t_stct | Statistics attribute block layout. Associated with each statistics message is a set of optional attributes. Any attributes present will immediately follow the packet header
C lbmmon_attr_entry_t_stct | Statistics attribute entry layout. Each attribute entry within the attributes block consists of an entry header, followed immediately by the attribute data
C lbmmon_ctx_statistics_func_t_stct | A structure that holds the callback information for context statistics
C lbmmon_evq_statistics_func_t_stct | A structure that holds the callback information for event queue statistics
C lbmmon_format_func_t_stct | Format module function pointer container
C lbmmon_gateway_statistics_func_t_stct | A structure that holds the callback information for gateway statistics
C lbmmon_packet_attributes_t_stct |
C lbmmon_packet_hdr_t_stct | Statistics packet header layout
C lbmmon_passthrough_statistics_func_t_stct | A structure that holds the callback information for the passthrough format option
C lbmmon_rcv_statistics_func_t_stct | A structure that holds the callback information for receiver statistics
C lbmmon_rcv_topic_statistics_func_t_stct | For internal use only. A structure that holds the callback information for receiver topic statistics
C lbmmon_src_statistics_func_t_stct | A structure that holds the callback information for source statistics
C lbmmon_transport_func_t_stct | Transport module function pointer container
C lbmmon_umestore_statistics_func_t_stct | A structure that holds the callback information for store statistics
C lbmmon_wildcard_rcv_statistics_func_t_stct | A structure that holds the callback information for wildcard receiver statistics
C lbmpdm_decimal_t | Structure to hold a scaled decimal number. A scaled decimal number consists of a mantissa and an exponent . It represents the value
C lbmpdm_field_info_attr_stct_t | Attribute struct to be passed along with the name when adding field info to a definition
C lbmpdm_field_value_stct_t | Field value struct that can be populated with a field value when passed to the lbmpdm_msg_get_field_value_stct function
C lbmpdm_timestamp_t | Structure to hold a timestamp value
C lbmsdm_decimal_t_stct | Structure to hold a scaled decimal number. A scaled decimal number consists of a mantissa and an exponent . It represents the value
C tnwg_dstat_endpoint_receive_stats_t_stct | Structure containing receiving statistics for an endpoint portal. Used by tnwg_portal_endpoint_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_endpoint_send_stats_t_stct | Structure containing sending statistics for an endpoint portal. Used by tnwg_portal_endpoint_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_gatewaycfg_msg_t_stct | Message containing DRO configuration information. ( tnwg_dstat_msg_hdr_t_stct::type == TNWG_DSTATTYPE_GATEWAYCFG ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_mallinfo_msg_t_stct | Message containing memory allocation statistics. ( tnwg_dstat_msg_hdr_t_stct::type == TNWG_DSTATTYPE_MALLINFO ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_msg_hdr_t_stct | Common message header structure included at the start of all messages. Used by tnwg_dstat_mallinfo_msg_t, tnwg_dstat_portalstats_msg_t, tnwg_dstat_gatewaycfg_msg_t tnwg_pcfg_stat_grp_msg_t, tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_peer_receive_stats_t_stct | Structure containing receiving statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_peer_send_stats_t_stct | Structure containing sending statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_peer_udp_receive_stats_t_stct | Structure containing Receive UDP statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_peer_udp_send_stats_t_stct | Structure containing Send UDP statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_portalstats_msg_t_stct | Message containing portal statistics. ( tnwg_dstat_msg_hdr_t_stct::type == TNWG_DSTATTYPE_PORTSTAT ) This message can have different lengths, depending on which element of the union tnwg_portalstats_dstat_record_t_stct::ptype is selected, based on the value of tnwg_dstat_record_hdr_t_stct::portal_type. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_dstat_record_hdr_t_stct | Structure containing general information about a peer or endpoint portal. Used by tnwg_dstat_portalstats_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_mallinfo_stat_grp_record_t_stct | Structure containing memory statistics. Used by tnwg_dstat_mallinfo_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_pcfg_stat_grp_msg_t_stct | Message containing memory allocation statistics. ( tnwg_dstat_msg_hdr_t_stct::type == TNWG_DSTATTYPE_PORTCFG ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_pcfg_stat_grp_rec_hdr_t_stct | Structure containing portal configuration information. Used by tnwg_pcfg_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_portal_endpoint_dstat_record_t_stct | Structure containing sending and receiving statistics for an endpoint portal. Used by tnwg_portalstats_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_portal_peer_dstat_record_t_stct | Structure containing sending and receiving statistics for a peer portal
C tnwg_portalstats_dstat_record_t_stct | Structure containing sending and receiving statistics for peer or endpoint portal. Used by tnwg_dstat_portalstats_msg_t. The full length of this structure is defined by the longest of its union elements. However, when messages are sent, the actual size of the selected union element is used. That size is recorded in tnwg_dstat_record_hdr_t_stct::record_length. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_rm_stat_grp_local_info_t_stct | Structure containing high-level information about this UM Router's (DRO) view of the current topology. Used by tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_rm_stat_grp_msg_t_stct | Message containing routing information. ( tnwg_dstat_msg_hdr_t_stct::type == TNWG_DSTATTYPE_RM_LOCAL, TNWG_DSTATTYPE_RM_PORTAL, TNWG_DSTATTYPE_RM_OTHERGW, TNWG_DSTATTYPE_RM_OTHERGW_NBR ) This message can have different lengths, depending on which element of the union `msgtype` is selected, based on the message type in tnwg_dstat_msg_hdr_t_stct::type. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_rm_stat_grp_othergw_info_t_stct | Each UM Router (DRO) tracks a small amount of information about every other DRO in the network. This structure represents this DRO's view of a remote DRO's tnwg_rm_stat_grp_local_info_t. Used by tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_rm_stat_grp_othergw_neighbor_t_stct | Structure containing this UM Router's (DRO) view of a remote DRO's portal information. Used by tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C tnwg_rm_stat_grp_portal_info_t_stct | Structure containing routing information specific to a particular portal. Used by tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC
C ume_liveness_receiving_context_t_stct | Structure that holds the information about a receiving context
C umestore_disk_dmon_stat_msg_t_stct | Message containing Store disk statistics. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_DISK_STATS ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_dmon_msg_hdr_t_stct | Common message header structure included at the start of all messages
C umestore_rcv_dmon_config_msg_t_stct | Message containing repository configuration defined during receiver registration. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_RCV_CONFIG ) Zero or more of these will be published for a given Store, one for each receiver which registers with the Store. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_rcv_dmon_stat_msg_t_stct | Message containing Store receiver statistics. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_RCV_STATS ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_repo_dmon_config_msg_t_stct | Message containing repository configuration defined during source registration. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_REPO_CONFIG ) Zero or more of these will be published for a given Store, one for each source which registers with the Store. Many of the fields are not necessarily set to the value configured on the Store, but instead can be overridden by the source. See each option's documentation for details. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_repo_dmon_stat_msg_t_stct | Message containing Store repository statistics. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_REPO_STATS ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_smart_heap_dmon_stat_msg_t_stct | Message containing smart heap statistics. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_SMART_HEAP_STATS ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_store_dmon_config_msg_t_stct | Message containing unchanging daemon information set at Store daemon startup. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_STORE_CONFIG. ) One or more of these will be published for a given daemon, one for each <store> element configured. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_store_dmon_stat_msg_t_stct | Message containing Store message statistics. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_STORE_STATS ) Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_store_pattern_dmon_config_msg_t_stct | Message containing unchanging Store pattern information set at store daemon startup. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_STORE_PATTERN_CONFIG ) One or more of these will be published for a given Store, one for each <topic> configured. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC
C umestore_topic_dmon_config_msg_t_stct | Message containing topic name of one or more registered sources. ( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_STORE_TOPIC_CONFIG ) Zero or more of these will be published for a given Store, one for each topic that has at least one source registration. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC